Retrieve worker's actionable journeys

Use this endpoint to retrieve the Courses (ActionableJourneys) assigned to the authenticated worker, for building learning dashboards or reminder flows. Results are cursor-paginated. ActionableJourneys correspond to what the user interface labels as Courses. Learn more about [Learning Management](https://www.deel.com/hr/engage/learning-management-software/) **Token scopes**: `worker:read`

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Query parameters

journey_idslist of stringsOptional
Filter by Journey IDs.
journey_assignment_idslist of stringsOptional
Filter by JourneyAssignment IDs.
limitintegerOptional1-100Defaults to 50
Return a page of results with given number of records.
cursorstringOptional
Cursor to the next page of results. If not provided, the first page will be returned.

Response

Successful retrieval of actionable journeys
datalist of objects
next_cursorstring or null
Cursor to fetch the next page of results. Null if no more pages.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error